package cn.rankin.apiweb;


import eu.bitwalker.useragentutils.Browser;
import eu.bitwalker.useragentutils.OperatingSystem;
import eu.bitwalker.useragentutils.UserAgent;

import java.io.IOException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class ApiWebMain
{

    public static void main(String[] args) {
        String userAgentStr = "ser-agent=Mozilla/5.0 (Linux; Android 5.0.2; sdk_google_atv_x86 Build/LSY64) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/37.0.0.0 Mobile Safari/537.36";
        UserAgent userAgent = UserAgent.parseUserAgentString(userAgentStr);
        //获取浏览器对象
        Browser browser = userAgent.getBrowser();
        //获取操作系统对象
        OperatingSystem operatingSystem = userAgent.getOperatingSystem();

        //操作系统
        String osName = operatingSystem.getName();
        //操作系统设备类型
        System.out.println("操作系统名:"+operatingSystem.getName());
        System.out.println("访问设备类型:"+operatingSystem.getDeviceType());
        System.out.println("操作系统家族:"+operatingSystem.getGroup());
        System.out.println("操作系统生产厂商:"+operatingSystem.getManufacturer());

        String  eviceType = operatingSystem.getDeviceType().toString();

        if("MOBILE".equals(eviceType))
        {
            Pattern pattern = Pattern.compile(";\\s?(\\S*?\\s?\\S*?)\\s?(Build)?/");
            Matcher matcher = pattern.matcher(userAgentStr);
            String model = null;
            if (matcher.find())
            {
                model = matcher.group(1).trim();
                System.out.println("操作系统生产厂商:"+model);
            }
        }
        else if("WINDOWS".equals(eviceType))
        {

        }

    }


}
